Name:           feedstail
Version:        0.5.1
Release:        6%{?dist}
Summary:        A tail-f-like utility for feeds

# everything is GPLv3+ except feeedstail/utils.py, which is
# (partly) taken from webpy/utils.py
License:        GPLv3+ and Public Domain
URL:            https://pypi.python.org/pypi/%{name}
Source0:        https://files.pythonhosted.org/packages/source/f/%{name}/%{name}-%{version}.tar.gz

# this simple patch makes setup install not to install docs under /usr
# upstream is informed, but doesn't have a (public) bug tracker
Patch0:         feedstail-0.5.1-doc.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

Requires:       python2-feedparser

%description
Feedstail is a tail-f-like utility for feeds. It monitors a
feed and emits new entries.

Feedstail aims to be simple, hackable and compatible
with rsstail, its C brother.

%prep
%autosetup -p1

%build
%py2_build


%install
%py2_install



%files
%doc README.rst LICENSE.txt
%{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}-%{version}-py?.?.egg-info
%{_bindir}/%{name}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 05 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.5.1-4
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Sep 19 2016 Matthias Runge <mrunge@redhat.com> - 0.5.1-1
- remove argparse from requirements
- update to latest stable upstream version

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 28 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.4.0-3
- add a comment to license to specify which file is Public Domain

* Thu Jun 21 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.4.0-2
- correct license
- add a comment regarding patch
- correct requirement python-feedparser
- correct description

* Tue Jun 05 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.4.0-1
- Initial package.
